Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOPEndpointSequence_var Class Reference

`#include <iiop_endpoints.h>`

List of all members.

## Public Methods
| TAO_IIOPEndpointSequence_var (void)
| TAO_IIOPEndpointSequence_var (TAO_IIOPEndpointSequence *)
| TAO_IIOPEndpointSequence_var (const TAO_IIOPEndpointSequence_var &)
| ~TAO_IIOPEndpointSequence_var (void)
TAO_IIOPEndpointSequence_var& | operator= (TAO_IIOPEndpointSequence *)
TAO_IIOPEndpointSequence_var& | operator= (const TAO_IIOPEndpointSequence_var &)
TAO_IIOPEndpointSequence* | operator-> (void)
const TAO_IIOPEndpointSequence* | operator-> (void) const
| operator const TAO_IIOPEndpointSequence & () const
| operator TAO_IIOPEndpointSequence & ()
| operator TAO_IIOPEndpointSequence & () const
| operator TAO_IIOPEndpointSequence *& ()
TAO_IIOP_Endpoint_Info& | operator[] (CORBA::ULong index)
const TAO_IIOPEndpointSequence& | in (void) const
TAO_IIOPEndpointSequence& | inout (void)
TAO_IIOPEndpointSequence*& | out (void)
TAO_IIOPEndpointSequence* | _retn (void)
TAO_IIOPEndpointSequence* | ptr (void) const
## Private Attributes
TAO_IIOPEndpointSequence* | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_IIOPEndpointSequence_var::TAO_IIOPEndpointSequence_var ( | void )

ACE_INLINE TAO_IIOPEndpointSequence_var::TAO_IIOPEndpointSequence_var ( | TAO_IIOPEndpointSequence * p )

TAO_IIOPEndpointSequence_var::TAO_IIOPEndpointSequence_var ( | const TAO_IIOPEndpointSequence_var & )

ACE_INLINE TAO_IIOPEndpointSequence_var::~TAO_IIOPEndpointSequence_var ( | void )

## Member Function Documentation

ACE_INLINE::TAO_IIOPEndpointSequence * TAO_IIOPEndpointSequence_var::_retn ( | void )

ACE_INLINE const::TAO_IIOPEndpointSequence & TAO_IIOPEndpointSequence_var::in ( | void ) const

ACE_INLINE::TAO_IIOPEndpointSequence & TAO_IIOPEndpointSequence_var::inout ( | void )

TAO_IIOPEndpointSequence_var::operator TAO_IIOPEndpointSequence & ( | ) const

TAO_IIOPEndpointSequence_var::operator TAO_IIOPEndpointSequence & ( | )

TAO_IIOPEndpointSequence_var::operator TAO_IIOPEndpointSequence *& ( | )

TAO_IIOPEndpointSequence_var::operator const TAO_IIOPEndpointSequence & ( | ) const

ACE_INLINE const::TAO_IIOPEndpointSequence * TAO_IIOPEndpointSequence_var::operator-> ( | void ) const

ACE_INLINE::TAO_IIOPEndpointSequence * TAO_IIOPEndpointSequence_var::operator-> ( | void )

TAO_IIOPEndpointSequence_var& TAO_IIOPEndpointSequence_var::operator= ( | const TAO_IIOPEndpointSequence_var & )

ACE_INLINE TAO_IIOPEndpointSequence_var & TAO_IIOPEndpointSequence_var::operator= ( | TAO_IIOPEndpointSequence * p )

ACE_INLINE TAO_IIOP_Endpoint_Info & TAO_IIOPEndpointSequence_var::operator[] ( | CORBA::ULong index )

ACE_INLINE::TAO_IIOPEndpointSequence *& TAO_IIOPEndpointSequence_var::out ( | void )

ACE_INLINE::TAO_IIOPEndpointSequence * TAO_IIOPEndpointSequence_var::ptr ( | void ) const

## Member Data Documentation

TAO_IIOPEndpointSequence * TAO_IIOPEndpointSequence_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- iiop_endpoints.h
- iiop_endpoints.i